#ifndef BIRTHDAY_H_
#define BIRTHDAY_H_

#include <iostream>

using namespace std;

class Birthday
{
public:
    int year, month, day;

    Birthday() : year(0), month(0), day(0)
    {
//        cout << "*** Default constructor called for " << *this << endl;
    }

    Birthday(int y, int m, int d) : year(y), month(m), day(d)
    {
//        cout << "*** Constructor called for " << *this << endl;
    }

    Birthday(const Birthday& other)
        : year(other.year), month(other.month), day(other.day)
    {
//        cout << "*** Copy constructor called for " << *this << endl;
    }

    virtual ~Birthday()
    {
//        cout << "*** Destructor called for " << *this << endl;
    }

    friend ostream& operator <<(ostream& outs, const Birthday& bd);
};

inline ostream& operator <<(ostream& outs, const Birthday& bd)
{
    outs << bd.month << "/" << bd.day << "/" << bd.year;
    return outs;
}

#endif
